Skip to content

Retrieve IDs of document attachments deleted within the past 30 days. Learn more about document attachments in Vault Help.

After document attachments and attachment versions are deleted, their IDs remain available for retrieval for 30 days. After that, they cannot be retrieved.

GET/api/{version}/objects/deletions/documents/attachments
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml
NameDescription
start_dateSpecify a date (no more than 30 days past) after which Vault will look for deleted document attachments. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2016 would use 2016-01-15T07:00:00Z. Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date.
end_dateSpecify a date (no more than 30 days past) before which Vault will look for deleted document attachments. Dates must be YYYY-MM-DDTHH:MM:SSZ format, for example, 7AM on January 15, 2016 would use 2016-01-15T07:00:00Z. Dates and times are in UTC. If the time is not specified, it will default to midnight (T00:00:00Z) on the specified date.
limitPaginate the results by specifying the maximum number of deleted attachments to display per page in the response. This can be any value between 0 and 5000. If omitted, defaults to 1000.
curl --location 'https://myvault.veevavault.com/api/v26.1/objects/deletions/documents/attachments' \ --header 'Accept: application/json' \ --header 'Authorization: {SESSION_ID}' \
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "responseDetails": { "total": 2, "size": 2, "limit": 1000, "offset": 0 }, "data": [ { "id": 301, "version": "", "date_deleted": "2025-05-17T01:54:27Z", "external_id__v": null, "global_id__sys": "19523_148", "global_version_id__sys": null, "deletion_type": "attachment__sys" }, { "id": 302, "version": "", "date_deleted": "2025-05-17T01:54:31Z", "external_id__v": null, "global_id__sys": "19523_148", "global_version_id__sys": null, "deletion_type": "attachment__sys" } ] }
NameDescription
totalThe total number of deleted document attachments or attachment versions.
idThe ID of this deleted document attachment or attachment version.
versionThe version of this deleted document attachment. If all versions of the attachment were deleted, this value is blank (""). Unlike documents, document attachments do not have minor versions. Learn more about attachment versioning in Vault Help.
date_deletedThe date and time this document attachment or attachment version was deleted.
external_id__vThe external ID of this deleted document attachment or attachment version. May be null if no external ID was set for this document attachment.
global_id__sysThe global ID of this deleted document attachment or attachment version.
global_version_id__sysThe global version ID of this deleted document attachment or attachment version. If all versions of the document were deleted, this value is null.
deletion_typeDescribes how this document attachment or attachment version was deleted.
  • attachment__sys: this document attachment was deleted in full, including all versions. For example, this document attachment was deleted with the Delete user action in the Vault UI, or with Vault API.
  • attachment_version__sys: this document attachment version was deleted. For example, this document attachment version was deleted with the Delete Single Document Attachment Version API.